Subject: bug#58165: [Patch] [GNU ELPA] rcirc-color: Allow recoloring nicks

From: Thuna <[email-masked]>
Date: Fri, 30 Sep 2022 02:30:22 +0200

> While at it one could replace the `foreground-color', since (elisp)
> Special Properties says:
>
>         • A cons cell of the form ‘(foreground-color . COLOR-NAME)’ or
>           ‘(background-color . COLOR-NAME)’.  This specifies the
>           foreground or background color, similar to ‘(:foreground
>           COLOR-NAME)’ or ‘(:background COLOR-NAME)’.  This form is
>           supported for backward compatibility only, and should be
>           avoided.

I avoided it on the off chance something would break, but I don't mind
either way.

> Also, it would be nice to also reformat the code using a let* block.
> Something like
>
>         (let* ((index (random (length rcirc-colors)))
>                (color (elt rcirc-colors index))
>                (face (cons 'foreground-color color)))
>           (puthash nick face rcirc-color-mapping))

Seems ok to me.